Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.sag
Class NamedItem

    java.lang.Object
      com.stc.connector.sagadapter.jni.sag.NamedItem

    public class NamedItem

extends java.lang.Object

Wrapper class for SAG C++ NamedItem class. It is derived from sagappltypes.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:39 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`NamedItem()` Default constructor

Method Summary
`void` | `free()` Method free.
`java.lang.String` | `getItemName()` Method getItemName.
`java.lang.String` | `getItemValue()` Method getItemValue.
`NamedItemList` | `getNamedItemList()` Method getNamedItemList.
`boolean` | `isItemList()` Method isItemList.
`void` | `setItemName(java.lang.String name)` Method setItemName.
`void` | `setItemValue(java.lang.String value)` Method setItemValue.
`void` | `setNamedItemList(NamedItemList itemList)` Method setNamedItemList.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedItem

    public NamedItem()

  Default constructor

Method Detail

### free

    public void free()

  Method free.

### setItemName

    public void setItemName(java.lang.String name)

  Method setItemName.

  Parameters:
    `name` - String

### setItemValue

    public void setItemValue(java.lang.String value)

  Method setItemValue.

  Parameters:
    `value` - String

### setNamedItemList

    public void setNamedItemList(NamedItemList itemList)

  Method setNamedItemList.

  Parameters:
    `itemList` - NamedItemList

### getItemName

    public java.lang.String getItemName()

  Method getItemName.

  Returns:
    String

### getItemValue

    public java.lang.String getItemValue()

  Method getItemValue.

  Returns:
    String

### getNamedItemList

    public NamedItemList getNamedItemList()

  Method getNamedItemList.

  Returns:
    NamedItemList

### isItemList

    public boolean isItemList()

  Method isItemList.

  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.